package com.xhpc.common.domain;

import com.xhpc.common.core.annotation.Excel;
import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 桩 xhpc_charging_pile
 * @author yuyang
 * @date 2021/7/27 14:11
 */
public class XhpcChargingPile extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 电桩id */
    private Long chargingPileId;
    /** 场站id */
    private Long chargingStationId;

    /** 场站名称 */
    @Excel(name = "电站")
    private String chargingStationName;
    /** 名称 */
    @Excel(name = "电桩名称(号桩)")
    private String name;
    /** 品牌型号 */
    @Excel(name = "品牌型号")
    private String brandModel;
    /** 国标 */
    @Excel(name = "电桩国际")
    private String nationalStandard;
    /** 功率 */
    @Excel(name = "电桩功率(KW)")
    private Double power;
    /**
     * 桩功率百分比
     */
    private Integer powerNumber;
    /** 辅助电源支持 */
    @Excel(name = "辅助电源支持(V)")
    private Double auxiliaryPowerSupply;
    /** 输入电压 */
    @Excel(name = "输入电压(V)")
    private Double inputVoltage;
    /** 最大电压 */
    @Excel(name = "最大电压(V)")
    private Double maxVoltage;
    /** 最小电压 */
    @Excel(name = "最小电压(V)")
    private Double minVoltage;
    /** 最大电流 */
    @Excel(name = "最大电流(A)")
    private Double maxElectricCurrent;
    /** 最小电流 */
    @Excel(name = "最小电流(A)")
    private Double minElectriCurrent;
    /** 桩编号 */
    @Excel(name = "桩编码")
    private String serialNumber;
    /** 桩类型 */
    private Integer type;

    @Excel(name = "电桩类型")
    private String typeName;

    /** 程序版本 */
    @Excel(name = "程序版本")
    private String programVersion;
    /** 网络链接类型 */
    @Excel(name = "网络连接类型")
    private String networkLinkType;
    /** 终端数量 */
    @Excel(name = "终端数量")
    private Integer gunNumber;
    /** 通讯协议版本 */
    @Excel(name = "通讯协议版本")
    private String communicationProtocolVersion;
    /** 通讯运营商 */
    @Excel(name = "通讯运营商")
    private String communicationOperator;
    /** Sim卡 */
    @Excel(name = "SIM卡号")
    private String simCard;
    /** 状态（0正常 1停用） */
    private Integer status;
    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;
    /** 计费模型id */
    private Long rateModelId;
    /**
     * 设备生产日期（格式YYYY-MM-DD）
     */
    @Excel(name = "设备生产日期")
    private String productionDate;

    /**
     * 设备生产商名称
     */
    @Excel(name = "设备生产商名称")
    private String manufactureName;

    /**
     * 充电设备接口类型
     */
    private Integer connectorType;


    /**
     * 充电设备接口类型，导入Excel使用
     */
    @Excel(name = "充电设备类型")
    private String connectorTypeName;
    /**
     * 额定电流（单位A）
     */
    @Excel(name = "额定电流(A)")
    private Integer current;

    /**
     * 设备类型
     */
    private Integer equipmentType;

    /**
     * 设备类型，导入Excel使用
     */
    @Excel(name = "设备类型")
    private String equipmentTypeName;

    //桩停用提示语
    private String prompt;
    /**
     * 设备出厂编码
     */
    @Excel(name = "设备出厂编码")
    private String equipmentProductCode;
    /**
     * 变压器户号
     */
    @Excel(name = "变压器户号")
    private String transformerId;
    /**
     * 新国标
     */

    private Integer newNationalStandard;

    @Excel(name = "新国标")
    private String newNationalStandardName;
    /**
     *  是否支持  VIN 码识别
     */
    private Integer vinFlag;

    @Excel(name = "是否支持VIN码")
    private String vinFlagName;
    /**
     *  设备状态
     */
    private Integer equipmentStatus;

    @Excel(name = "设备状态")
    private String equipmentStatusName;
    /**
     *  设备用途
     */
    private Integer equipmentPurpose;

    @Excel(name = "设备用途")
    private String equipmentPurposeName;

    @Excel(name = "建设时间")
    private String constructionTime;

    @Excel(name = "设备生成商组织机构代码")
    private String manufacturerId;

    private Integer equipmentClassificatlon;

    @Excel(name = "设备分类")
    private String equipmentClassificatlonName;

    @Excel(name = "辅助电源")
    private Integer auxPower;


    public String getTypeName() {

        return typeName;
    }

    public void setTypeName(String typeName) {

        this.typeName = typeName;
    }

    public String getConnectorTypeName() {

        return connectorTypeName;
    }

    public void setConnectorTypeName(String connectorTypeName) {

        this.connectorTypeName = connectorTypeName;
    }

    public String getEquipmentTypeName() {

        return equipmentTypeName;
    }

    public void setEquipmentTypeName(String equipmentTypeName) {

        this.equipmentTypeName = equipmentTypeName;
    }

    public Integer getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(Integer equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getManufactureName() {

        return manufactureName;
    }

    public void setManufactureName(String manufactureName) {

        this.manufactureName = manufactureName;
    }

    public String getProductionDate() {

        return productionDate;
    }

    public void setProductionDate(String productionDate) {

        this.productionDate = productionDate;
    }

    public Integer getConnectorType() {

        return connectorType;
    }

    public void setConnectorType(Integer connectorType) {

        this.connectorType = connectorType;
    }

    public Integer getCurrent() {

        return current;
    }

    public void setCurrent(Integer current) {

        this.current = current;
    }

    public Long getChargingPileId() {

        return chargingPileId;
    }

    public void setChargingPileId(Long chargingPileId) {

        this.chargingPileId = chargingPileId;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public String getName() {

        return name;
    }

    public void setName(String name) {

        this.name = name;
    }

    public String getNationalStandard() {

        return nationalStandard;
    }

    public void setNationalStandard(String nationalStandard) {

        this.nationalStandard = nationalStandard;
    }

    public Double getPower() {

        return power;
    }

    public void setPower(Double power) {

        this.power = power;
    }

    public Double getAuxiliaryPowerSupply() {

        return auxiliaryPowerSupply;
    }

    public void setAuxiliaryPowerSupply(Double auxiliaryPowerSupply) {

        this.auxiliaryPowerSupply = auxiliaryPowerSupply;
    }

    public Double getInputVoltage() {

        return inputVoltage;
    }

    public void setInputVoltage(Double inputVoltage) {

        this.inputVoltage = inputVoltage;
    }

    public Double getMaxVoltage() {

        return maxVoltage;
    }

    public void setMaxVoltage(Double maxVoltage) {

        this.maxVoltage = maxVoltage;
    }

    public Double getMinVoltage() {

        return minVoltage;
    }

    public void setMinVoltage(Double minVoltage) {

        this.minVoltage = minVoltage;
    }

    public Double getMaxElectricCurrent() {

        return maxElectricCurrent;
    }

    public void setMaxElectricCurrent(Double maxElectricCurrent) {

        this.maxElectricCurrent = maxElectricCurrent;
    }

    public Double getMinElectriCurrent() {

        return minElectriCurrent;
    }

    public void setMinElectriCurrent(Double minElectriCurrent) {

        this.minElectriCurrent = minElectriCurrent;
    }

    public String getSerialNumber() {

        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {

        this.serialNumber = serialNumber;
    }

    public Integer getType() {

        return type;
    }

    public void setType(Integer type) {

        this.type = type;
    }

    public String getProgramVersion() {

        return programVersion;
    }

    public void setProgramVersion(String programVersion) {

        this.programVersion = programVersion;
    }

    public String getNetworkLinkType() {

        return networkLinkType;
    }

    public void setNetworkLinkType(String networkLinkType) {

        this.networkLinkType = networkLinkType;
    }

    public Integer getGunNumber() {

        return gunNumber;
    }

    public void setGunNumber(Integer gunNumber) {

        this.gunNumber = gunNumber;
    }

    public String getCommunicationProtocolVersion() {

        return communicationProtocolVersion;
    }

    public void setCommunicationProtocolVersion(String communicationProtocolVersion) {

        this.communicationProtocolVersion = communicationProtocolVersion;
    }

    public String getCommunicationOperator() {

        return communicationOperator;
    }

    public void setCommunicationOperator(String communicationOperator) {

        this.communicationOperator = communicationOperator;
    }

    public String getSimCard() {

        return simCard;
    }

    public void setSimCard(String simCard) {

        this.simCard = simCard;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

    public Long getRateModelId() {

        return rateModelId;
    }

    public void setRateModelId(Long rateModelId) {

        this.rateModelId = rateModelId;
    }

    public String getBrandModel() {

        return brandModel;
    }

    public void setBrandModel(String brandModel) {

        this.brandModel = brandModel;
    }

    public String getChargingStationName() {

        return chargingStationName;
    }

    public void setChargingStationName(String chargingStationName) {

        this.chargingStationName = chargingStationName;
    }

    public String getPrompt() {
        return prompt;
    }

    public void setPrompt(String prompt) {
        this.prompt = prompt;
    }

    public String getEquipmentProductCode() {
        return equipmentProductCode;
    }

    public void setEquipmentProductCode(String equipmentProductCode) {
        this.equipmentProductCode = equipmentProductCode;
    }

    public String getTransformerId() {
        return transformerId;
    }

    public void setTransformerId(String transformerId) {
        this.transformerId = transformerId;
    }

    public Integer getNewNationalStandard() {
        return newNationalStandard;
    }

    public void setNewNationalStandard(Integer newNationalStandard) {
        this.newNationalStandard = newNationalStandard;
    }

    public Integer getVinFlag() {
        return vinFlag;
    }

    public void setVinFlag(Integer vinFlag) {
        this.vinFlag = vinFlag;
    }

    public Integer getEquipmentStatus() {
        return equipmentStatus;
    }

    public void setEquipmentStatus(Integer equipmentStatus) {
        this.equipmentStatus = equipmentStatus;
    }

    public Integer getEquipmentPurpose() {
        return equipmentPurpose;
    }

    public void setEquipmentPurpose(Integer equipmentPurpose) {
        this.equipmentPurpose = equipmentPurpose;
    }

    public String getConstructionTime() {
        return constructionTime;
    }

    public void setConstructionTime(String constructionTime) {
        this.constructionTime = constructionTime;
    }

    public String getManufacturerId() {
        return manufacturerId;
    }

    public void setManufacturerId(String manufacturerId) {
        this.manufacturerId = manufacturerId;
    }


    public Integer getEquipmentClassificatlon() {
        return equipmentClassificatlon;
    }

    public void setEquipmentClassificatlon(Integer equipmentClassificatlon) {
        this.equipmentClassificatlon = equipmentClassificatlon;
    }

    public Integer getAuxPower() {
        return auxPower;
    }

    public void setAuxPower(Integer auxPower) {
        this.auxPower = auxPower;
    }

    public String getNewNationalStandardName() {
        return newNationalStandardName;
    }

    public void setNewNationalStandardName(String newNationalStandardName) {
        this.newNationalStandardName = newNationalStandardName;
    }

    public String getVinFlagName() {
        return vinFlagName;
    }

    public void setVinFlagName(String vinFlagName) {
        this.vinFlagName = vinFlagName;
    }

    public String getEquipmentStatusName() {
        return equipmentStatusName;
    }

    public void setEquipmentStatusName(String equipmentStatusName) {
        this.equipmentStatusName = equipmentStatusName;
    }

    public String getEquipmentPurposeName() {
        return equipmentPurposeName;
    }

    public void setEquipmentPurposeName(String equipmentPurposeName) {
        this.equipmentPurposeName = equipmentPurposeName;
    }

    public String getEquipmentClassificatlonName() {
        return equipmentClassificatlonName;
    }

    public void setEquipmentClassificatlonName(String equipmentClassificatlonName) {
        this.equipmentClassificatlonName = equipmentClassificatlonName;
    }

    public Integer getPowerNumber() {
        return powerNumber;
    }

    public void setPowerNumber(Integer powerNumber) {
        this.powerNumber = powerNumber;
    }
}
